| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.AlignmentControlOld Class Reference

Control for adjusting alignment. More...

Inheritance diagram for IG.Forms.AlignmentControlOld:
[legend]
Collaboration diagram for IG.Forms.AlignmentControlOld:
[legend]

## Public Member Functions
| AlignmentControlOld ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
Alignment | _alignment = new Alignment()

## Properties
string | Title`[get, set]`
| Text displayed in the title label of the control. More...
Alignment | Alignment`[get, set]`

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblHorizontal
System.Windows.Forms.RadioButton | rbHorizontalNone
System.Windows.Forms.Panel | pnlHorizontal
System.Windows.Forms.RadioButton | rbHorizontalRight
System.Windows.Forms.RadioButton | rbHorizontalCentered
System.Windows.Forms.RadioButton | rbHorizontalLeft
System.Windows.Forms.Panel | pnlVertical
System.Windows.Forms.Label | lblVertical
System.Windows.Forms.RadioButton | rbVerticalBottom
System.Windows.Forms.RadioButton | rbVerticalCentered
System.Windows.Forms.RadioButton | rbVerticalTop
System.Windows.Forms.RadioButton | rbVerticalNone
System.Windows.Forms.Panel | pnlOuter
System.Windows.Forms.Label | lblTitle11

## Detailed Description

Control for adjusting alignment.

Alignment is get or set by the Alignment property.

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG.Forms.AlignmentControlOld.AlignmentControlOld | ( |  | ) |
| inline

## Member Function Documentation

override void IG.Forms.AlignmentControlOld.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.AlignmentControlOld.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

Alignment IG.Forms.AlignmentControlOld._alignment = new Alignment()
| protected

System.ComponentModel.IContainer IG.Forms.AlignmentControlOld.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.AlignmentControlOld.lblHorizontal
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbHorizontalNone
| private

System.Windows.Forms.Panel IG.Forms.AlignmentControlOld.pnlHorizontal
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbHorizontalRight
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbHorizontalCentered
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbHorizontalLeft
| private

System.Windows.Forms.Panel IG.Forms.AlignmentControlOld.pnlVertical
| private

System.Windows.Forms.Label IG.Forms.AlignmentControlOld.lblVertical
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbVerticalBottom
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbVerticalCentered
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbVerticalTop
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControlOld.rbVerticalNone
| private

System.Windows.Forms.Panel IG.Forms.AlignmentControlOld.pnlOuter
| private

System.Windows.Forms.Label IG.Forms.AlignmentControlOld.lblTitle11
| private

## Property Documentation

string IG.Forms.AlignmentControlOld.Title
| get set

Text displayed in the title label of the control.

Alignment IG.Forms.AlignmentControlOld.Alignment
| get set

The documentation for this class was generated from the following files:

- igforms/Utilities/WindowPositioner/Old/AlignmentControlOld.cs
- igforms/Utilities/WindowPositioner/Old/AlignmentControlOld.Designer.cs